Bug 14249 - Improve discharge letter sample notice
Summary: Improve discharge letter sample notice
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-21 16:46 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
letter image (17.21 KB, image/png)
2015-05-21 16:47 UTC, Nicole C. Engard
Details
Bug 14249: Improve sample discharge letter (en) (4.70 KB, patch)
2015-06-06 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14249: Improve sample discharge letter (en) (4.89 KB, patch)
2015-06-18 17:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 14249: Improve sample discharge letter (en) (4.94 KB, patch)
2015-06-19 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-05-21 16:46:49 UTC
The discharge letter says 'his' regardless of gender.  We should probably reword it so that it's clear.

Also it uses the library's code instead of name and probably most people wouldn't know the library code.
Comment 1 Nicole C. Engard 2015-05-21 16:47:02 UTC
Created attachment 39364 [details]
letter image
Comment 2 Katrin Fischer 2015-05-21 20:21:07 UTC
Hi Nicole, I offer to write the patch, but can you write the text for me?
Comment 3 Nicole C. Engard 2015-05-27 01:19:27 UTC
Something like either of these:

<heading>Discharge Confirmation</heading>

<right>TODAYS DATE</right>

BRANCH NAME certifies that the following borrower:

  FIRSTNAME SURNAME, Cardnumber: CARDNUMBER

currently has no items checked out.



Or 



<heading>Discharge Confirmation</heading>

<right>TODAYS DATE</right>

BRANCH NAME certifies that the following borrower:

  FIRSTNAME SURNAME, Cardnumber: CARDNUMBER

has returned all items.
Comment 4 Katrin Fischer 2015-06-06 13:20:49 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-06-06 13:22:27 UTC
Hi Nicole,
could you check the attached changes are ok? Once the English text is ok, I will write a patch for the translated installers as well. I didn't manage to change the text alignment with embedded CSS - not sure how this can be done.
Comment 6 Bernardo Gonzalez Kriegel 2015-06-18 17:42:28 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-06-19 15:12:50 UTC
Created attachment 40407 [details] [review]
[PASSED QA] Bug 14249: Improve sample discharge letter (en)

Improves formatting and wording as suggested by
Nicole on bug 14249.

To test:
- Activate UseDischarge
- Request a discharge from a patron account in the OPAC
- Confirm discharge from the start page of the staff
  interface
- Download PDF from the patron account in the OPAC
- Verify the displayed text is formatted and reads
  correctly

06/06/2015 15:18
Discharge confirmation
Midway certifies that the following borrower:
Firstname surname (cardnumber: 1)
has returned all items.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Messages is Ok, no errors
I think you cant modify message using embeded CSS,
html -> pdf procedure ignores CSS.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-06-22 14:56:00 UTC
Patch pushed to master.

Thanks Katrin!